import fetch from '@/api/fetch.js'
export default {
  /**
   * 获取关键字列表
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getTagsList(params) {
    return fetch('/blade-pc-applet/tags/tagsList', params)
  },
  /**
   * 智库文章专债统计
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getCount(params) {
    return fetch('/blade-pc-applet/wechat/count/getCount', params)
  },
  /**
   * 智库专债列表
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getDebtList(params) {
    return fetch('/blade-pc-applet/debt/bigPage', params)
  },
  /**
   * 获取用户登录次数统计（基于微信登录次数累加存redis）
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getUserLoginCount(params) {
    return fetch('/wutong-base/wxuser/getUserLoginCount', params)
  },
  /**
   * 获取云南省地州用户统计
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getUserCountByCity(params) {
    return fetch('/wutong-base/wxuser/getUserCountByCity', params)
  },
  /**
   * 获取最近7月类用户增加数量
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getAddUserCountByMonth(params) {
    return fetch('/wutong-base/wxuser/getAddUserCountByMonth', params)
  },
  /**
   * 获取用户统计
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getUserCountByTenant(params) {
    return fetch('/wutong-base/wxuser/getUserCountByTenant', params)
  },
  /**
   * 获取汇编列表按阅读次数倒序
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  bigList(params) {
    return fetch('/blade-pc-applet/informationinfo/bigList', params)
  }
}
